Skip to main content
GET
/
v1
/
events
/
{_id}
Get an event by ID
curl --request GET \
  --url https://envelope.so/api/v1/events/{_id} \
  --header 'x-api-key: <api-key>'
{
  "_id": "<string>",
  "general": {
    "title": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "timezone": "Europe/London",
    "location": {
      "placeName": "<string>",
      "address": "<string>",
      "city": "<string>",
      "zipCode": "<string>",
      "country": "<string>"
    },
    "langs": [
      "en",
      "es"
    ]
  },
  "guestlist": {
    "properties": [
      {
        "id": "yN9hzaCj",
        "type": "select",
        "_en": {
          "name": "Ticket type"
        },
        "options": [
          {
            "id": "1QLXYBlw",
            "_en": {
              "value": "VIP"
            }
          },
          {
            "id": "PCx9ruxP",
            "_en": {
              "value": "Standard"
            }
          }
        ]
      },
      {
        "id": "X62TkjiV",
        "type": "text",
        "_en": {
          "name": "Note"
        },
        "options": []
      },
      {
        "id": "Ybb48GO7",
        "type": "multiSelect",
        "_en": {
          "name": "Interests"
        },
        "options": [
          {
            "id": "7bR7m2au",
            "_en": {
              "value": "Technology"
            }
          },
          {
            "id": "BdwYyYmi",
            "_en": {
              "value": "Business"
            }
          },
          {
            "id": "4igVHOnN",
            "_en": {
              "value": "Marketing"
            }
          }
        ]
      }
    ]
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.envelope.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

_id
string
required

Event ID to retrieve.

Response

Event details retrieved successfully.

_id
string

Event ID

general
object
guestlist
object
Example:
{
"properties": [
{
"id": "yN9hzaCj",
"type": "select",
"_en": { "name": "Ticket type" },
"options": [
{
"id": "1QLXYBlw",
"_en": { "value": "VIP" }
},
{
"id": "PCx9ruxP",
"_en": { "value": "Standard" }
}
]
},
{
"id": "X62TkjiV",
"type": "text",
"_en": { "name": "Note" },
"options": []
},
{
"id": "Ybb48GO7",
"type": "multiSelect",
"_en": { "name": "Interests" },
"options": [
{
"id": "7bR7m2au",
"_en": { "value": "Technology" }
},
{
"id": "BdwYyYmi",
"_en": { "value": "Business" }
},
{
"id": "4igVHOnN",
"_en": { "value": "Marketing" }
}
]
}
]
}
createdAt
string<date-time>

Date and time when the event was created

updatedAt
string<date-time>

Date and time when the event was last updated